GatewayDeltaForwarderCacheListener (Apache Geode 1.15.4)

org.apache.geode.modules.gatewaydelta

## Class GatewayDeltaForwarderCacheListener

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter<String,GatewayDelta>
  - - org.apache.geode.modules.gatewaydelta.GatewayDeltaForwarderCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener<String,GatewayDelta>, Declarable

      public class GatewayDeltaForwarderCacheListener
      extends CacheListenerAdapter<String,GatewayDelta>
      implements Declarable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayDeltaForwarderCacheListener()`
    `GatewayDeltaForwarderCacheListener(Cache cache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCreate(EntryEvent<String,GatewayDelta> event)` Handles the event of new key being added to a region.
    `void` | `afterDestroy(EntryEvent<String,GatewayDelta> event)` Handles the event of an entry being destroyed.
    `void` | `afterUpdate(EntryEvent<String,GatewayDelta> event)` Handles the event of an entry's value being modified in a region.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, close`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `init, initialize`

- - ### Constructor Detail

    - #### GatewayDeltaForwarderCacheListener

          public GatewayDeltaForwarderCacheListener()

    - #### GatewayDeltaForwarderCacheListener

          public GatewayDeltaForwarderCacheListener(Cache cache)

  - ### Method Detail

    - #### afterCreate

          public void afterCreate(EntryEvent<String,GatewayDelta> event)

      Description copied from interface: `CacheListener`
      Handles the event of new key being added to a region. The entry did not previously exist in this region in the local cache (even with a null value).
      Specified by:
        `afterCreate` in interface `CacheListener<String,GatewayDelta>`
      Overrides:
        `afterCreate` in class `CacheListenerAdapter<String,GatewayDelta>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.create(Object, Object)`, `Region.put(Object, Object)`, `Region.get(Object)`

    - #### afterUpdate

          public void afterUpdate(EntryEvent<String,GatewayDelta> event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry's value being modified in a region. This entry previously existed in this region in the local cache, but its previous value may have been null.
      Specified by:
        `afterUpdate` in interface `CacheListener<String,GatewayDelta>`
      Overrides:
        `afterUpdate` in class `CacheListenerAdapter<String,GatewayDelta>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.put(Object, Object)`

    - #### afterDestroy

          public void afterDestroy(EntryEvent<String,GatewayDelta> event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry being destroyed.
      Specified by:
        `afterDestroy` in interface `CacheListener<String,GatewayDelta>`
      Overrides:
        `afterDestroy` in class `CacheListenerAdapter<String,GatewayDelta>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.destroy(Object)`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`